# Search Python packages

Some MIBs, most frequently the base ones, can be stored at a Python package. There existence can be checked with the PyPackageSearcher class instances.

class pysmi.searcher.pypackage.PyPackageSearcher(package)

  Figures out if given Python module (source or bytecode) exists in given Python package.

  Python package must be importable.

  Create an instance of PyPackageSearcher bound to specific Python package.

  Parameters:

    package (str) – name of the Python package to look up Python modules at.